Subject: bug#13793: 24.3.50; M-x broken in viper and X

From: Michael Kifer <[email-masked]>
Date: Tue, 02 Jul 2013 03:55:50 -0400

On 07/01/2013 07:27 PM, Stefan Monnier wrote:

Please, note that the patch includes a change to lisp/faces.el which is
a preloaded file, so you either need to regenerate (aka "redump")
src/emacs after byte-compiling the new lisp/faces.el or to manually call
M-x load-libbrary RET faces RET after starting `emacs'.

That was it. By doing so I can confirm that the patch works with various
combinations of daemon/non-daemon, console/GUI, etc.

Thanks for testing it.
Michael, what's your opinion on the patch?

Stefan

actually, I just updated to the latest version of emacs from bzr and it breaks Viper completely.
Even M-x does not work: says M-x is undefined.
I thought the previous reports were talking only about terminal windows.

--

--- michael